## ide-search-engine ide-search-engine |

## Functions

IdeSearchEngine * | ide_search_engine_new ()
gboolean | ide_search_engine_get_busy ()
void | ide_search_engine_search_async ()
GListModel * | ide_search_engine_search_finish ()

## Properties

gboolean | busy | Read

## Types and Values

#define | IDE_TYPE_SEARCH_ENGINE
| IdeSearchEngine

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSearchEngine

## Description

## Functions

### ide_search_engine_new ()

    IdeSearchEngine *
    ide_search_engine_new (void);

### ide_search_engine_get_busy ()

    gboolean
    ide_search_engine_get_busy (IdeSearchEngine *self);

Checks if the IdeSearchEngine is currently executing a query.

#### Parameters

self | a IdeSearchEngine |

#### Returns

`TRUE` if queries are being processed.

Since: 3.32

### ide_search_engine_search_async ()

    void
    ide_search_engine_search_async (IdeSearchEngine *self,
                                    const gchar *query,
                                    guint max_results,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### ide_search_engine_search_finish ()

    GListModel *
    ide_search_engine_search_finish (IdeSearchEngine *self,
                                     GAsyncResult *result,
                                     GError **error);

Completes an asynchronous request to `ide_search_engine_search_async()`.

The result is a GListModel of IdeSearchResult when successful.

#### Parameters

self | a IdeSearchEngine |
result | a GAsyncResult |
error | a location for a GError, or `NULL` |

#### Returns

a GListModel of IdeSearchResult items.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_SEARCH_ENGINE

    #define IDE_TYPE_SEARCH_ENGINE (ide_search_engine_get_type())

### IdeSearchEngine

    typedef struct _IdeSearchEngine IdeSearchEngine;

## Property Details

### The `“busy”` property

      “busy”                     gboolean

If the search engine is busy.

Owner: IdeSearchEngine

Flags: Read

Default value: FALSE